Buildr
  1. Buildr
  2. BUILDR-111

new entry for trouble shooting page

    Details

    • Type: Improvement Improvement
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.3.3
    • Component/s: Site/documentation
    • Labels:
      None

      Description

      Here is a patch for the troubleshooting.textile page. Hope this is good!

      Index: troubleshooting.textile
      ===================================================================
      — troubleshooting.textile (revision 680684)
      +++ troubleshooting.textile (working copy)
      @@ -119,3 +119,20 @@
      end
      }}}

      +
      +h2. buildr fails to run after install with a "stack level too deep
      +(SystemStackError)" error
      +
      +A particular quirk of an existing ruby setup can cause problems when running
      +buildr. If a system already has several ruby directories that are in the
      +PATH, it is often nice (appropriate?) to have them in RUBYLIB as well (to be
      +able to require them). If there are several of them a user may decide that
      +RUBYLIB=$PATH is a good way to handle this (or some less automated method
      +that has the same effect).
      +
      +If you see an error running buildr that shows the "stack level too deep"
      +error, it is probably your RUBYLIB environment variable. Removing the bin
      +directories that have buildr in them is probably the solution. Removing all
      +directories that you don't actually need is probably the appropriate measure.
      +
      +

        Activity

          People

          • Assignee:
            Unassigned
            Reporter:
            Geoffrey Ruscoe
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development